<?php
/*
 * Plugin Name: 3DPrint price update on QTY change
 * Author: Sergey Burkov
 * Description: Updates the displayed price on the product page when the product quantity is changed
 * Text Domain: p3d_qty
 * WC requires at least: 3.0
 * WC tested up to: 9.3
 * Version: 1.4
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

add_action( 'before_woocommerce_init', function() {
	if ( class_exists( \Automattic\WooCommerce\Utilities\FeaturesUtil::class ) ) {
		\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, true );
	}
} );

add_action( 'wp_enqueue_scripts', 'p3d_qty_enqueue_scripts_frontend' );
function p3d_qty_enqueue_scripts_frontend() {
	wp_enqueue_script( 'p3d-qty-script.js',  plugin_dir_url( __FILE__ ).'js/script.js', array( '3dprint-frontend.js' ), '1.4' );
}




?>